# Enum Class VulkanQueryControlFlag

java.lang.Object
java.lang.Enum<VulkanQueryControlFlag>
com.io7m.jcoronado.api.VulkanQueryControlFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanQueryControlFlag>`, `Constable`

public enum VulkanQueryControlFlag extends Enum<VulkanQueryControlFlag> implements VulkanEnumBitmaskType
Bitmask specifying constraints on a query.

See Also:
  - "VkQueryControlFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_QUERY_CONTROL_PRECISE_BIT`
  Specifies the precision of occlusion queries.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanQueryControlFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanQueryControlFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_QUERY_CONTROL_PRECISE_BIT

    public static final VulkanQueryControlFlag VK_QUERY_CONTROL_PRECISE_BIT
    Specifies the precision of occlusion queries.

- ## Method Details

  - ### values

    public static VulkanQueryControlFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanQueryControlFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant